# Archive User

`DELETE /auth/users/{userId}`

Archive a specific user in the caller's org

{% hint style="info" %}

* User action signature required. See [User Action Signing](https://docs-legacy.dfns.co/d/api-docs/authentication/user-action-signing) for more information.
* Request headers required. See [Request Headers](https://docs-legacy.dfns.co/d/advanced-topics/authentication/request-headers) for more information.
* Authentication required. See [Authentication Headers](https://docs-legacy.dfns.co/d/advanced-topics/authentication/request-headers#authentication-headers) for more information.
  {% endhint %}

## Required Permissions <a href="#permissions" id="permissions"></a>

| Name                | Conditions      |
| ------------------- | --------------- |
| `Auth:Users:Delete` | Always Required |

## Parameters

|                                             |                               |
| ------------------------------------------- | ----------------------------- |
| `userId` <mark style="color:red;">\*</mark> | the ID of the user to archive |

### Example

```
/auth/users/us-em7bu-m6c48-hdqoobj7dj24pko
```

## Responses

{% hint style="info" %}

* See [Common Errors](https://docs-legacy.dfns.co/d/api-docs/authentication/user-management/broken-reference) for common errors.
* See [User Management Errors](https://docs-legacy.dfns.co/d/api-docs/authentication/user-management/broken-reference) for user management specific errors.
  {% endhint %}

{% tabs %}
{% tab title="200" %}
**Success** - The user that was updated

```json
{
    "userId": "us-xxxx-xxxx-xxxxxxxx",
    "kind": "CustomerEmployee",
    "username": "elon@tesla.com",
    "name": "Elon Musk",
    "orgId": "or-xxxx-xxxx-xxxxxxxx",
    "isActive": false,
    "isRegistered": true,
    "permissionAssignments": [],
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/user-management/archiveuser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
